properties-cpp 0.0.1 A very simple convenience library for handling properties and signals in C++11.

Functions
signals_test.cpp File Reference
`#include <core/signal.h>`
`#include <gtest/gtest.h>`
`#include <condition_variable>`
`#include <functional>`
`#include <mutex>`
`#include <thread>`
`#include <queue>`
Include dependency graph for signals_test.cpp:

Go to the source code of this file.

## Functions
| TEST (Signal, emission_works)
| TEST (Signal, disconnect_results_in_slots_not_invoked_anymore)
| TEST (Signal, disconnect_via_scoped_connection_results_in_slots_not_invoked_anymore)
| TEST (Signal, a_signal_going_out_of_scope_disconnects_from_slots)
| TEST (Signal, installing_a_custom_dispatcher_ensures_invocation_on_correct_thread)

## Function Documentation

## ◆ TEST() [1/5]

TEST | ( | Signal | ,
|  | a_signal_going_out_of_scope_disconnects_from_slots |
| ) |  |

Definition at line 96 of file signals_test.cpp.

## ◆ TEST() [2/5]

TEST | ( | Signal | ,
|  | disconnect_results_in_slots_not_invoked_anymore |
| ) |  |

Definition at line 60 of file signals_test.cpp.

References core::Signal< Arguments >::connect(), and core::Connection::disconnect().

Here is the call graph for this function:

## ◆ TEST() [3/5]

TEST | ( | Signal | ,
|  | disconnect_via_scoped_connection_results_in_slots_not_invoked_anymore |
| ) |  |

Definition at line 77 of file signals_test.cpp.

References core::Signal< Arguments >::connect().

Here is the call graph for this function:

## ◆ TEST() [4/5]

TEST | ( | Signal | ,
|  | emission_works |
| ) |  |

Definition at line 48 of file signals_test.cpp.

References core::Signal< Arguments >::connect().

Here is the call graph for this function:

## ◆ TEST() [5/5]

TEST | ( | Signal | ,
|  | installing_a_custom_dispatcher_ensures_invocation_on_correct_thread |
| ) |  |

Definition at line 154 of file signals_test.cpp.

References core::Signal< Arguments >::connect(), and core::Connection::dispatch_via().

Here is the call graph for this function: